<template>
  <v-list-item
    v-if="url"
    :to="url"
  >
    <v-list-item-icon>
      <v-icon v-text="'mdi-pencil'" />
    </v-list-item-icon>
    <v-list-item-content>
      <v-list-item-title>
        {{ $t('button.edit-synchro') }}
      </v-list-item-title>
    </v-list-item-content>
  </v-list-item>
</template>

<script lang="ts">
import { Vue, Component, Watch } from 'vue-property-decorator';

/**
 * Debug shortcut to open synchronization page
  // TODO: move to portal from AnalysisPage, instead of Sidebar
 */
@Component
export default class SynchroEditButton extends Vue {
  url = this.getUrl();

  @Watch('$route')
  onRoute() {
    this.url = this.getUrl();
  }

  getUrl(): string {
    const url = this.$route.fullPath;

    if (url.match(/^\/~~\//)) return url.replace(/^\/~~\//, '/local-sync/');
    if (url.match(/^\/~\//)) return url.replace(/^\/~\//, '/sync/');

    return '';
  }
}
</script>
